
Infrastructure - Task #724

Story # 957 (Closed): CN Service layer should be refactored for 0.6 release

Dates in java not storing milliseconds

2010-07-30 02:50 - Robert Waltz

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.12-Block.2   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

currently for the synchronization to work correctly, need to use the following code to round up to the next second:

when updating the lastHarvestedDate i use the following calculation:

lastMofidiedDate.setTime(lastMofidiedDate.getTime() + (1000 -(lastMofidiedDate.getTime()%1000)));

this will lead to loss of data

History

#1 - 2010-10-07 00:08 - Robert Waltz

- Parent task set to #957

- Milestone set to CCI-0.6

#2 - 2010-10-07 21:44 - Robert Waltz

- Milestone changed from CCI-0.6 to CCI-0.5

#3 - 2011-03-24 16:54 - Robert Waltz

Ben of the benMac moniker may have some insight from the metacat side of things

#4 - 2011-03-28 16:32 - Robert Waltz

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 2.0

Confirmed that CN stack is manipulating the milliseconds correctly.
